org.apache.lucene.analysis

## Class CannedTokenStream

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.CannedTokenStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class CannedTokenStream
      extends TokenStream

  TokenStream from a canned list of Tokens.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannedTokenStream(int finalPosInc, int finalOffset, Token... tokens)` If you want trailing holes, pass a non-zero finalPosInc.
    `CannedTokenStream(Token... tokens)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()`
    `boolean` | `incrementToken()`
    `void` | `reset()`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenStream

      `close`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannedTokenStream

          public CannedTokenStream(Token... tokens)

    - #### CannedTokenStream

          public CannedTokenStream(int finalPosInc,
                                   int finalOffset,
                                   Token... tokens)

      If you want trailing holes, pass a non-zero finalPosInc.

  - ### Method Detail

    - #### end

          public void end()
                   throws IOException

      Overrides:
        `end` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `TokenStream`
      Throws:
        `IOException`

    - #### incrementToken

          public boolean incrementToken()

      Specified by:
        `incrementToken` in class `TokenStream`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.